Bug 490491 - Review Request: sysbench - System performance benchmark
Review Request: sysbench - System performance benchmark
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-16 13:31 EDT by Xavier Bachelot
Modified: 2009-03-29 04:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.4.10-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 15:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-03-16 13:31:38 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/sysbench.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/sysbench-0.4.10-2.fc10.src.rpm
Description:
SysBench is a modular, cross-platform and multi-threaded benchmark
tool for evaluating OS parameters that are important for a system
running a database under intensive load.

The idea of this benchmark suite is to quickly get an impression about
system performance without setting up complex database benchmarks or
even without installing a database at all. Current features allow to
test the following system parameters:
- file I/O performance
- scheduler performance
- memory allocation and transfer speed
- POSIX threads implementation performance
- database server performance (OLTP benchmark)

Primarily written for MySQL server benchmarking, SysBench will be
further extended to support multiple database backends, distributed
benchmarks and third-party plug-in modules.
Comment 1 Parag AN(पराग) 2009-03-17 05:52:37 EDT
Review:
+ package builds in mock (rawhide i386).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1245737
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0820760bb16783ae51994aed794f952d  sysbench-0.4.10.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package installed successfully.
+ Not a GUI app.

suggestions:
1) license looks to be GPLv2+
Comment 2 Xavier Bachelot 2009-03-17 07:38:08 EDT
Thanks for the review, I'll fix the license before building.

New Package CVS Request
=======================
Package Name: sysbench
Short Description: System performance benchmark
Owners: xavierb
Branches: F-9 F-10 EL-4 EL-5
InitialCC:
Comment 3 Kevin Fenzi 2009-03-17 23:34:50 EDT
cvs done.
Comment 4 Xavier Bachelot 2009-03-18 05:06:51 EDT
Imported and built for F-9, F-10, EL-4 and EL-5.
Comment 5 Fedora Update System 2009-03-18 05:46:36 EDT
sysbench-0.4.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/sysbench-0.4.10-3.fc9
Comment 6 Fedora Update System 2009-03-18 05:46:42 EDT
sysbench-0.4.10-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sysbench-0.4.10-3.fc10
Comment 7 Fedora Update System 2009-03-18 15:12:39 EDT
sysbench-0.4.10-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-03-18 15:13:17 EDT
sysbench-0.4.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.